CreateAgentSpace - AWS Security Agent

CreateAgentSpace

Creates a new agent space. An agent space is a dedicated workspace for securing a specific application.

Request Syntax

POST /CreateAgentSpace HTTP/1.1 Content-type: application/json { "awsResources": { "iamRoles": [ "string" ], "lambdaFunctionArns": [ "string" ], "logGroups": [ "string" ], "s3Buckets": [ "string" ], "secretArns": [ "string" ], "vpcs": [ { "securityGroupArns": [ "string" ], "subnetArns": [ "string" ], "vpcArn": "string" } ] }, "codeReviewSettings": { "controlsScanning": boolean, "generalPurposeScanning": boolean }, "description": "string", "kmsKeyId": "string", "name": "string", "tags": { "string" : "string" }, "targetDomainIds": [ "string" ] }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

awsResources

The AWS resources to associate with the agent space.

Type: AWSResources object

Required: No

codeReviewSettings

The code review settings for the agent space.

Type: CodeReviewSettings object

Required: No

description

A description of the agent space.

Type: String

Required: No

kmsKeyId

The identifier of the AWS KMS key to use for encrypting data in the agent space.

Type: String

Required: No

name

The name of the agent space.

Type: String

Required: Yes

tags

The tags to associate with the agent space.

Type: String to string map

Required: No

targetDomainIds

The list of target domain identifiers to associate with the agent space.

Type: Array of strings

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "agentSpaceId": "string", "awsResources": { "iamRoles": [ "string" ], "lambdaFunctionArns": [ "string" ], "logGroups": [ "string" ], "s3Buckets": [ "string" ], "secretArns": [ "string" ], "vpcs": [ { "securityGroupArns": [ "string" ], "subnetArns": [ "string" ], "vpcArn": "string" } ] }, "codeReviewSettings": { "controlsScanning": boolean, "generalPurposeScanning": boolean }, "createdAt": "string", "description": "string", "kmsKeyId": "string", "name": "string", "targetDomainIds": [ "string" ], "updatedAt": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

agentSpaceId

The unique identifier of the created agent space.

Type: String

awsResources

The AWS resources associated with the agent space.

Type: AWSResources object

codeReviewSettings

The code review settings for the agent space.

Type: CodeReviewSettings object

createdAt

The date and time the agent space was created, in UTC format.

Type: Timestamp

description

The description of the agent space.

Type: String

kmsKeyId

The identifier of the AWS KMS key used to encrypt data in the agent space.

Type: String

name

The name of the agent space.

Type: String

targetDomainIds

The list of target domain identifiers associated with the agent space.

Type: Array of strings

updatedAt

The date and time the agent space was last updated, in UTC format.

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Error Types.

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: